Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.deploy
Class Deployer

    java.lang.Object
      org.jasig.portal.container.deploy.Deployer

    public class Deployer

extends java.lang.Object

A tool that deploys a portlet application into the servlet container. In the process, this tool adds the necessary portlet-wrapping servlets into the portlet application deployment descriptor (web.xml file). This code was borrowed from Pluto's Deploy tool and then modified to fit the uPortal environment. Pluto used Castor to marshall and unmarshall XML files. We are doing this work ourselves. This tool is intended to be launched from a command line tool such as Apache Ant and the buid.xml for uPortal includes a corresponding ant target called.

Version:
  $Revision: 1.5.4.1 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private static boolean` | `debug`
`private static java.lang.String` | `dirDelim`
`private static java.lang.String` | `portletAppDir`
`static java.lang.String` | `WEB_PORTLET_DTD`
`static java.lang.String` | `WEB_PORTLET_PUBLIC_ID`
`static java.lang.String` | `WEB_PORTLET_TAGLIB_LOCATION`
`static java.lang.String` | `WEB_PORTLET_TAGLIB_URI`
`private static java.lang.String` | `webAppsDir`
`private static java.lang.String` | `webInfDir`

Constructor Summary
`Deployer()`

Method Summary
`static void` | `copy(java.lang.String from, java.lang.String to)`
`static void` | `deployArchive(java.lang.String webAppsDir, java.lang.String warFile)`
`static void` | `main(java.lang.String[] args)`
`static void` | `prepareWebArchive(java.lang.String webAppsDir, java.lang.String warFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WEB_PORTLET_PUBLIC_ID

    public static final java.lang.String WEB_PORTLET_PUBLIC_ID

See Also:
  Constant Field Values

### WEB_PORTLET_DTD

    public static final java.lang.String WEB_PORTLET_DTD

See Also:
  Constant Field Values

### WEB_PORTLET_TAGLIB_URI

    public static final java.lang.String WEB_PORTLET_TAGLIB_URI

See Also:
  Constant Field Values

### WEB_PORTLET_TAGLIB_LOCATION

    public static final java.lang.String WEB_PORTLET_TAGLIB_LOCATION

See Also:
  Constant Field Values

### debug

    private static boolean debug

### dirDelim

    private static java.lang.String dirDelim

### webInfDir

    private static java.lang.String webInfDir

### webAppsDir

    private static java.lang.String webAppsDir

### portletAppDir

    private static final java.lang.String portletAppDir

Constructor Detail

### Deployer

    public Deployer()

Method Detail

### deployArchive

    public static void deployArchive(java.lang.String webAppsDir,
                                     java.lang.String warFile)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### prepareWebArchive

    public static void prepareWebArchive(java.lang.String webAppsDir,
                                         java.lang.String warFile)
                                  throws java.lang.Exception,
                                         java.io.IOException

  Throws:
    `java.lang.Exception`
    `java.io.IOException`

### copy

    public static void copy(java.lang.String from,
                            java.lang.String to)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD